package com.yeejoin.amos.boot.module.jg.api.service;


import com.alibaba.fastjson.JSON;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.yeejoin.amos.boot.module.jg.api.dto.JgChangeRegistrationReformDto;
import com.yeejoin.amos.boot.module.jg.api.entity.JgChangeRegistrationReform;
import com.yeejoin.amos.feign.workflow.model.ProcessTaskDTO;

import javax.servlet.http.HttpServletResponse;
import java.util.List;
import java.util.Map;

/**
 * 改造变更登记接口类
 *
 * @author system_generator
 * @date 2023-12-20
 */
public interface IJgChangeRegistrationReformService {
    Page<Map<String, Object>> getList(JgChangeRegistrationReformDto dto, Page<Map<String, Object>> page, List<String> roleIds);
    void save(JSONObject map);
    void updateExecuteIds(String instanceId, JgChangeRegistrationReform jgChangeRegistrationReform, String operate, ProcessTaskDTO processTaskDTO);
    void flowExecute(Long id, String instanceId, String operate, String comment);
    void withdraw(String instanceId);
    void deleteBatch(List<Long> ids);
    Map<String, Object> getDetail(String currentDocumentId, String equipId);
    void exportUseRegistrationCertificate(String sequenceNbr, HttpServletResponse response);
}
